Subject: Offline Message from emma: Hi there. I placed an order 2 months ago, and the
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 13 Jun 2020 15:00:31 -0000

From: emma <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/
Department: 

Hi there. I placed an order 2 months ago, and the imile tracking website still says it is waiting to receive it from you. Please tell me where it is. The order number is 100134637. Your customer service is terrible. No one ever responds to the queries and waiting 2 months for a product is ridiculous. I look forward to your response. Thank you 

----
Zopim
https://www.zopim.com